Next: ERF, Previous: EOSHIFT, Up: Intrinsic Procedures [Contents][Index]

### 8.73 `EPSILON` — Epsilon function

Description:

  `EPSILON(X)` returns the smallest number E of the same kind as X such that 1 + E > 1.

Standard:

  Fortran 95 and later

Class:

  Inquiry function

Syntax:

  `RESULT = EPSILON(X)`

Arguments:

  X | The type shall be `REAL`.

Return value:

  The return value is of same type as the argument.

Example:

      program test_epsilon
          real :: x = 3.143
          real(8) :: y = 2.33
          print *, EPSILON(x)
          print *, EPSILON(y)
      end program test_epsilon